# Akamai\Open\EdgeGrid\Authentication\Nonce

#### Generates a random nonce for each request

## Synopsis

class Nonce {

- // members
- protected $function;

- // methods
- public void __construct()
- public string __toString()

}

## Coverage

Methods | 100% | 2 / 2
Lines | 100% | 6 / 6

## Members

#### protected

- $function — string

## Methods

#### public

- __construct() — Constructor
- __toString() — Return the nonce when cast to string